# class KFontAction |
Definition | `#include <kaction.h>`
Inherits | KSelectAction [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFontAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KFontAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KFontAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KFontAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KFontAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KFontAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KFontAction ( QObject* parent = 0, const char* name = 0 )
- ~KFontAction ()
- QString font () const
- int plug ( QWidget*, int index = -1 )

#### Public Slots

- void setFont ( const QString &family )

## Detailed Description

KFontAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KFontAction

KFontAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KFontAction

KFontAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KFontAction

KFontAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KFontAction

KFontAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KFontAction

KFontAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KFontAction

KFontAction ( QObject* parent = 0, const char* name = 0 ) | ### KFontAction

~KFontAction () | ### ~KFontAction

QString font () | ### font

[const]

int plug ( QWidget*, int index = -1 ) | ### plug

Reimplemented from KSelectAction.

void setFont ( const QString &family ) | ### setFont

[slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.